Get Vcd Configuration

Get Vcd Configuration
Get Vcd

Retrieves the current VMware Cloud Director (VCD) configuration. Passwords are automatically redacted from the response for security.

Request
URI
GET
https://{server}:9443/api/admin/global/config/vcd
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved VCD configuration

Returns VcdGetResponse200 of type(s) application/json
{
    "data": {
        "items": [
            {
                "section": "vcd",
                "config": {
                    "userName": "administrator",
                    "url": "https://vcd.example.com",
                    "publicUrlBase": "https://vcd.example.com",
                    "uiEndPoint": "https://vcd.example.com/cloud",
                    "systemExchange": "systemExchange",
                    "systemPrefix": "vcd",
                    "UUID": "e5f6a7b8-c9d0-1234-ef12-345678901234"
                }
            }
        ]
    }
}
object
data
Required

data


404

Section not found

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Section vcd not found",
    "httpStatusCode": 404
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


500

Internal server error

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Internal server error occurred",
    "httpStatusCode": 500
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/admin/global/config/vcd